/**
 * RoleClassIngredientEntityExt.java
 *
 * File generated from the medication::RoleClassIngredientEntityExt uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration RoleClassIngredientEntityExt.
 *
 * 
 */

@XmlType(name = "RoleClassIngredientEntityExt")
@XmlEnum
@XmlRootElement(name = "RoleClassIngredientEntityExt")
public enum RoleClassIngredientEntityExt {
	@XmlEnumValue("INGR")
	INGR("INGR"),
	@XmlEnumValue("ACTI")
	ACTI("ACTI"),
	@XmlEnumValue("ACTM")
	ACTM("ACTM"),
	@XmlEnumValue("ADTV")
	ADTV("ADTV"),
	@XmlEnumValue("BASE")
	BASE("BASE"),
	@XmlEnumValue("IACT")
	IACT("IACT"),
	@XmlEnumValue("COLR")
	COLR("COLR"),
	@XmlEnumValue("FLVR")
	FLVR("FLVR"),
	@XmlEnumValue("PRSV")
	PRSV("PRSV"),
	@XmlEnumValue("STBL")
	STBL("STBL");
	
	private final String value;

    RoleClassIngredientEntityExt(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static RoleClassIngredientEntityExt fromValue(String v) {
        for (RoleClassIngredientEntityExt c: RoleClassIngredientEntityExt.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}